<?php
$arr_user=array();
if(isset($get_act)&&$get_act=="save_pwd"){
	$arr_fields=array();
	$arr_fields["oldpwd"]=$get_oldpwd;
	$arr_fields["pwd1"]=$get_pwd1;
	$arr_fields["pwd2"]=$get_pwd2;
	$arr_msg=$obj_ctl_user->on_update_pwd($arr_fields);
	if($arr_msg["err"]!=""){
		$obj_msg->alert($arr_msg["err"]);
		$obj_msg->on_history_back();
		exit;
	}else{
		$obj_msg->alert("成功修改密码！");
	}

}
if(isset($get_act)&&$get_act=="save_uname"){
	$arr_msg=$obj_ctl_user->on_update_uname($get_uname);
	if($arr_msg["err"]!=""){
		$obj_msg->alert($arr_msg["err"]);
		$obj_msg->on_history_back();
		exit;
	}else{
		$obj_msg->alert("成功账号！");
	}

}
$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."sys_user where user_id='".$obj_ctl_user->id."'");
if($obj_rs = $obj_db->fetch_array($obj_result))
{
	$arr_user = $obj_rs;
}else{
	echo "用户不存在！请<a href='".WEB_URL."'>重新登陆</a>";
	exit;
}

?>